function markerDistCalc(fileName)

load(fileName);

nMarkers = size(MarkerID,1);

distMeanMat = zeros(nMarkers,nMarkers);
distMedianMat = zeros(nMarkers,nMarkers);
distStDevMat = zeros(nMarkers,nMarkers);
distNames = cell(nMarkers,nMarkers);

for iii = 1:(nMarkers-1)
    for jjj = (iii+1):nMarkers
        dist = sqrt(sum((Markers(:,iii,:)-Markers(:,jjj,:)).^2,3));
        distMeanMat(iii,jjj) = mean(dist);
        distMedianMat(iii,jjj) = median(dist);
        distStDevMat(iii,jjj) = std(dist);
        marker1Name = strrep(MarkerID(iii,:),'FESGator_Stroke01:','');
        marker2Name = strrep(MarkerID(jjj,:),'FESGator_Stroke01:','');
        distNames{iii,jjj} = [strtrim(marker1Name),' to ',strtrim(marker2Name),' dist'];
    end
end

save(['markerDists_',fileName])

end